security/courier-authlib - The NetBSD Packages Collection

Courier Authentication Library

The Courier authentication library provides authentication services for
other Courier applications.  In this context, the term "authentication"
refers to the following functions:

    1. Take a userid or a loginid, and a password. Determine whether the
       loginid and the password are valid.
    2. Given a userid, obtain the following information about the userid:

         A. The account's home directory.
         B. The numeric system userid and groupid that owns all files
            associated with this account.
         C. The location of the account's maildir.
         D. Any maildir quota defined for this account. See the Courier
            documentation for more information on maildir quotas.
         E. Other miscellaneous account-specific options.

    3. Change the password associated with a loginid.
    4. Obtain a complete list of all loginids.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

lang/perl5 devel/libltdl mail/courier-unicode devel/libltdl mail/courier-unicode

Available binary packages

aarch64:courier-authlib-0.69.1.tgz(NetBSD 9.0)
aarch64:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
aarch64:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
alpha:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
alpha:courier-authlib-0.69.1.tgz(NetBSD 9.0)
alpha:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
earm:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
earm:courier-authlib-0.64.0nb14.tgz(NetBSD 9.0)
earmv6hf:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
earmv6hf:courier-authlib-0.69.1.tgz(NetBSD 9.0)
earmv6hf:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
earmv6hf:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
earmv7hf:courier-authlib-0.69.1nb2.tgz(NetBSD 8.0)
earmv7hf:courier-authlib-0.64.0nb14.tgz(NetBSD 8.0)
earmv7hf:courier-authlib-0.69.1.tgz(NetBSD 8.0)
earmv7hf:courier-authlib-0.69.1nb1.tgz(NetBSD 8.0)
earmv7hf:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
earmv7hf:courier-authlib-0.64.0nb14.tgz(NetBSD 9.0)
earmv7hf:courier-authlib-0.69.1.tgz(NetBSD 9.0)
earmv7hf:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
earmv7hf:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
i386:courier-authlib-0.69.1.tgz(NetBSD 8.0)
i386:courier-authlib-0.69.1nb1.tgz(NetBSD 8.0)
i386:courier-authlib-0.69.1nb2.tgz(NetBSD 8.0)
i386:courier-authlib-0.69.1.tgz(NetBSD 9.0)
i386:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
i386:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
mips64eb:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
mips64eb:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
powerpc:courier-authlib-0.69.1.tgz(NetBSD 8.0)
powerpc:courier-authlib-0.69.1nb2.tgz(NetBSD 8.0)
powerpc:courier-authlib-0.69.1nb1.tgz(NetBSD 8.0)
powerpc:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
powerpc:courier-authlib-0.69.1.tgz(NetBSD 9.0)
sparc64:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
sparc64:courier-authlib-0.69.1.tgz(NetBSD 9.0)
sparc64:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
sparc:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
sparc:courier-authlib-0.69.1.tgz(NetBSD 9.0)
sparc:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
x86_64:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
x86_64:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
x86_64:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
x86_64:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
x86_64:courier-authlib-0.69.1nb1.tgz(NetBSD 8.0)
x86_64:courier-authlib-0.69.1.tgz(NetBSD 8.0)
x86_64:courier-authlib-0.69.1nb2.tgz(NetBSD 8.0)
x86_64:courier-authlib-0.69.1.tgz(NetBSD 9.0)
x86_64:courier-authlib-0.69.1nb1.tgz(NetBSD 9.0)
x86_64:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)
x86_64:courier-authlib-0.69.1nb2.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

bdb
Enable Berkeley DB support.
ldap
Enable LDAP support.
mysql
Enable MySQL support.
pam
Enable PAM support.
pgsql
Enable PostgreSQL support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]